/**
 * 
 */
package org.richfaces.renderkit.html.iconimages;

import java.awt.Color;

import org.ajax4jsf.tests.AbstractAjax4JsfTestCase;
import org.ajax4jsf.util.HtmlColor;
import org.richfaces.skin.Skin;
import org.richfaces.skin.SkinFactory;

/**
 * @author Anton Belevich
 *
 */
public class ScrollableDataTableIconBasicTest extends AbstractAjax4JsfTestCase{


	public ScrollableDataTableIconBasicTest(String name) {
		super(name);
	}
	
	public void testSaveResources(){
		
		ScrollableDataTableIconBasic icon = new ScrollableDataTableIconSortAsc();
	
		Skin skin = SkinFactory.getInstance().getSkin(facesContext);
		Skin defaultSkin = SkinFactory.getInstance().getDefaultSkin(facesContext);
		
		String skinParameter = "headerTextColor";
		String headerTextColor = (String) skin.getParameter(facesContext, skinParameter);
		
		if (null == headerTextColor || "".equals(headerTextColor))
			headerTextColor = (String) defaultSkin.getParameter(facesContext, skinParameter);
		
		assertNotNull(headerTextColor);
		
		Color color1 = HtmlColor.decode(headerTextColor);
		
		skinParameter = "headerBackgroundColor";
		
		String headerBackgroundColor = (String) skin.getParameter(facesContext, skinParameter);
		if (null == headerBackgroundColor || "".equals(headerBackgroundColor))
			headerBackgroundColor = (String) defaultSkin.getParameter(facesContext, skinParameter);
		
		assertNotNull(headerBackgroundColor);
		
		Color color2 = HtmlColor.decode(headerBackgroundColor);
				
		byte [] data = (byte []) icon.getDataToStore(facesContext, null);
		
		assertNotNull(data);
		
		Object [] results = (Object [])icon.deserializeData(data);
		
		assertNotNull(results);
		
		assertEquals(color1, results[0]);
		assertEquals(color2, results[1]);
	}

}
